import { FormSchema } from '@/components/Form';
import {BasicColumn} from "@/components/Table";
import {DatePickerProps} from "ant-design-vue";

export const topFormSchema: FormSchema[] = [
  {
    label: '路径',
    field: 'path',
    required: true,
    slot: 'path',
    colProps: { span: 24 },
  },
  {
    field: 'title1',
    slot: 'title1',
    colProps: { span: 24 },
  },
  {
    label: '自动下架日期',
    field: 'downloadDate',
    slot: 'downloadDate',
    component: 'DatePicker',
  },
  {
    label: '可见范围',
    field: 'visibleRange',
    required: true,
    slot: 'visibleRange',
  },
  {
    label: '共享类型',
    field: 'shareType',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '有条件共享',
          value: '有条件共享',
        },
        {
          label: '无条件共享',
          value: '无条件共享',
        },
      ],
    },
  },
];
export const bottomFormSchema: FormSchema[] = [
  {
    label: '资源名称',
    field: 'name',
    required: true,
    component: 'Input',
  },
  {
    label: '描述',
    field: 'des',
    component: 'InputTextArea',
    componentProps: {
      rows: '2',
    },
  },
  {
    label: '权属机构',
    field: 'dept',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '机构管理/数据平台治理部',
          value: '机构管理/数据平台治理部',
        },
      ],
    },
  },
  {
    label: '业务标签',
    field: 'businessTag',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '业务标签1',
          value: '业务标签1',
        },
        {
          label: '业务标签2',
          value: '业务标签2',
        },
      ],
    },
  },
  {
    label: '敏感状态',
    field: 'sensitiveStatus',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '敏感',
          value: '敏感',
        },
        {
          label: '不敏感',
          value: '不敏感',
        },
      ],
    },
  },
];
export const rangeTableColumn: BasicColumn[] = [
  {
    title: '字段名称',
    dataIndex: 'name',
  },
  {
    title: '字段类型',
    dataIndex: 'type',
  },
];
